cubicweb #1976640 db-init -d fails with SQLServer backend [validation pending]

Related to http://www.logilab.org/ticket/77664, thus will require updating the dependency on yams >= 0.34.0

priorityimportant
typebug
done in3.14.0
load0.500
load left0.000
closed by<not specified>